Index: fedd/abac-src/atnvis/rtml/USSH.prop
===================================================================
--- fedd/abac-src/atnvis/rtml/USSH.prop	(revision 8780cbecc6db2bdc2b9ef31eec6e5209ad3bff15)
+++ fedd/abac-src/atnvis/rtml/USSH.prop	(revision 8780cbecc6db2bdc2b9ef31eec6e5209ad3bff15)
@@ -0,0 +1,470 @@
+subject = USSH
+policy.1 = Ack[USN.assignedNRet] = US.friendly.usr
+
+update.1.location = remote
+
+update.1.1.type = node
+update.1.1.name = SAdmir: SAdmir.getsSLocs <<-?- USSH
+update.1.1.nodeType = RoleTarget
+update.1.1.isRoot = True
+
+update.1.2.type = node
+update.1.2.nodeType = RoleTarget
+update.1.2.name = SAdmir: SAdmir.getsSLocs <<-?- USSH
+update.1.2.processing = unprocessed
+update.1.2.satisfied = Unknown
+
+update.1.3.type = node
+update.1.3.nodeType = RoleTarget
+update.1.3.name = SAdmir: SAdmir.getsSLocs <<-?- USSH
+update.1.3.processing = unprocessed
+update.1.3.satisfied = Unknown
+
+update.1.4.type = edge
+update.1.4.edgeType = Implication
+update.1.4.parentName = SAdmir: SAdmir.getsSLocs <<-?- USSH
+update.1.4.childName = SAdmir: SAdmir.friendlyUsr ^ SAdmir.needsSLocs <<-?- USSH
+update.1.4.childType = IntersectionTarget
+update.1.4.childProcessing = opponent
+update.1.4.evidence.1 = SAdmir.getsSLocs<-SAdmir.friendlyUsr ^ SAdmir.needsSLocs
+
+update.1.5.type = node
+update.1.5.nodeType = IntersectionTarget
+update.1.5.name = SAdmir: SAdmir.friendlyUsr ^ SAdmir.needsSLocs <<-?- USSH
+update.1.5.processing = opponent
+update.1.5.satisfied = Unknown
+
+update.1.6.type = node
+update.1.6.nodeType = RoleTarget
+update.1.6.name = SAdmir: SAdmir.getsSLocs <<-?- USSH
+update.1.6.processing = opponent
+update.1.6.satisfied = Unknown
+
+update.1.7.type = node
+update.1.7.name = SAdmir: SAdmir.getsSLocs <<-?- USSH
+update.1.7.processing = verifier
+
+update.1.8.type = edge
+update.1.8.edgeType = Intersection
+update.1.8.parentName = SAdmir: SAdmir.friendlyUsr ^ SAdmir.needsSLocs <<-?- USSH
+update.1.8.childName = SAdmir: SAdmir.friendlyUsr <<-?- USSH
+update.1.8.childType = RoleTarget
+update.1.8.childProcessing = opponent
+
+update.1.9.type = node
+update.1.9.nodeType = RoleTarget
+update.1.9.name = SAdmir: SAdmir.friendlyUsr <<-?- USSH
+update.1.9.processing = opponent
+update.1.9.satisfied = Unknown
+
+update.1.10.type = edge
+update.1.10.edgeType = Intersection
+update.1.10.parentName = SAdmir: SAdmir.friendlyUsr ^ SAdmir.needsSLocs <<-?- USSH
+update.1.10.childName = SAdmir: SAdmir.needsSLocs <<-?- USSH
+update.1.10.childType = RoleTarget
+update.1.10.childProcessing = opponent
+
+update.1.11.type = node
+update.1.11.nodeType = RoleTarget
+update.1.11.name = SAdmir: SAdmir.needsSLocs <<-?- USSH
+update.1.11.processing = opponent
+update.1.11.satisfied = Unknown
+
+update.1.12.type = edge
+update.1.12.edgeType = Implication
+update.1.12.parentName = SAdmir: SAdmir.friendlyUsr <<-?- USSH
+update.1.12.childName = SAdmir: SAdmir.friendly.usr <<-?- USSH
+update.1.12.childType = LinkedRoleTarget
+update.1.12.childProcessing = opponent
+update.1.12.evidence.1 = SAdmir.friendlyUsr<-SAdmir.friendly.usr
+
+update.1.13.type = node
+update.1.13.nodeType = LinkedRoleTarget
+update.1.13.name = SAdmir: SAdmir.friendly.usr <<-?- USSH
+update.1.13.processing = opponent
+update.1.13.satisfied = Unknown
+
+update.1.14.type = node
+update.1.14.nodeType = RoleTarget
+update.1.14.name = SAdmir: SAdmir.friendlyUsr <<-?- USSH
+update.1.14.processing = opponent
+update.1.14.satisfied = Unknown
+
+update.1.15.type = node
+update.1.15.name = SAdmir: SAdmir.friendlyUsr <<-?- USSH
+update.1.15.processing = verifier
+
+update.1.16.type = edge
+update.1.16.edgeType = Implication
+update.1.16.parentName = SAdmir: SAdmir.needsSLocs <<-?- USSH
+update.1.16.childName = SAdmir: SAdmir.NRetTacCom.NRetTacUsr <<-?- USSH
+update.1.16.childType = LinkedRoleTarget
+update.1.16.childProcessing = opponent
+update.1.16.evidence.1 = SAdmir.needsSLocs<-SAdmir.NRetTacCom.NRetTacUsr
+
+update.1.17.type = node
+update.1.17.nodeType = LinkedRoleTarget
+update.1.17.name = SAdmir: SAdmir.NRetTacCom.NRetTacUsr <<-?- USSH
+update.1.17.processing = opponent
+update.1.17.satisfied = Unknown
+
+update.1.18.type = node
+update.1.18.nodeType = RoleTarget
+update.1.18.name = SAdmir: SAdmir.needsSLocs <<-?- USSH
+update.1.18.processing = opponent
+update.1.18.satisfied = Unknown
+
+update.1.19.type = node
+update.1.19.name = SAdmir: SAdmir.needsSLocs <<-?- USSH
+update.1.19.processing = verifier
+
+update.1.20.type = edge
+update.1.20.edgeType = Implication
+update.1.20.parentName = SAdmir: SAdmir.friendly.usr <<-?- USSH
+update.1.20.childName = SAdmir: US.usr <<-?- USSH
+update.1.20.childType = RoleTarget
+update.1.20.childProcessing = verifier
+
+update.1.21.type = node
+update.1.21.nodeType = RoleTarget
+update.1.21.name = SAdmir: US.usr <<-?- USSH
+update.1.21.processing = verifier
+update.1.21.satisfied = Unknown
+
+update.1.22.type = node
+update.1.22.nodeType = LinkedRoleTarget
+update.1.22.name = SAdmir: SAdmir.friendly.usr <<-?- USSH
+update.1.22.processing = opponent
+update.1.22.satisfied = Unknown
+
+update.1.23.type = node
+update.1.23.name = SAdmir: SAdmir.friendly.usr <<-?- USSH
+update.1.23.processing = verifier
+
+update.1.24.type = edge
+update.1.24.edgeType = LinkingMonitor
+update.1.24.parentName = SAdmir: SAdmir.NRetTacCom.NRetTacUsr <<-?- USSH
+update.1.24.childName = SAdmir: ?X.NRetTacUsr <<-?- USSH
+update.1.24.childType = LinkingGoal
+update.1.24.childProcessing = verifier
+
+update.1.25.type = node
+update.1.25.nodeType = LinkingGoal
+update.1.25.name = SAdmir: ?X.NRetTacUsr <<-?- USSH
+update.1.25.processing = verifier
+update.1.25.satisfied = Incomplete
+
+update.2.location = local
+
+update.2.1.type = edge
+update.2.1.edgeType = Implication
+update.2.1.parentName = SAdmir: US.usr <<-?- USSH
+update.2.1.childName = SAdmir: USSH <<-?- USSH
+update.2.1.childType = TrivialTarget
+update.2.1.childProcessing = fully
+update.2.1.evidence.1 = US.usr<-USSH
+
+update.2.2.type = node
+update.2.2.nodeType = TrivialTarget
+update.2.2.name = SAdmir: USSH <<-?- USSH
+update.2.2.processing = fully
+update.2.2.satisfied = Satisfied
+
+update.2.3.type = node
+update.2.3.nodeType = RoleTarget
+update.2.3.name = SAdmir: US.usr <<-?- USSH
+update.2.3.processing = verifier
+update.2.3.satisfied = Unknown
+
+update.2.4.type = node
+update.2.4.nodeType = RoleTarget
+update.2.4.name = SAdmir: US.usr <<-?- USSH
+update.2.4.processing = verifier
+update.2.4.satisfied = Satisfied
+
+update.2.5.type = node
+update.2.5.nodeType = LinkedRoleTarget
+update.2.5.name = SAdmir: SAdmir.friendly.usr <<-?- USSH
+update.2.5.processing = fully
+update.2.5.satisfied = Satisfied
+
+update.2.6.type = node
+update.2.6.nodeType = RoleTarget
+update.2.6.name = SAdmir: SAdmir.friendlyUsr <<-?- USSH
+update.2.6.processing = fully
+update.2.6.satisfied = Satisfied
+
+update.2.7.type = node
+update.2.7.name = SAdmir: US.usr <<-?- USSH
+update.2.7.processing = opponent
+
+update.2.8.type = edge
+update.2.8.edgeType = LinkingSolution
+update.2.8.parentName = SAdmir: ?X.NRetTacUsr <<-?- USSH
+update.2.8.childName = SAdmir: USN.NRetTacUsr <<-?- USSH
+update.2.8.childType = RoleTarget
+update.2.8.childProcessing = verifier
+
+update.2.9.type = node
+update.2.9.nodeType = RoleTarget
+update.2.9.name = SAdmir: USN.NRetTacUsr <<-?- USSH
+update.2.9.processing = verifier
+update.2.9.satisfied = Unknown
+
+update.2.10.type = node
+update.2.10.nodeType = LinkingGoal
+update.2.10.name = SAdmir: ?X.NRetTacUsr <<-?- USSH
+update.2.10.processing = fully
+update.2.10.satisfied = Incomplete
+
+update.2.11.type = node
+update.2.11.name = SAdmir: ?X.NRetTacUsr <<-?- USSH
+update.2.11.processing = opponent
+
+update.2.12.type = edge
+update.2.12.edgeType = Implication
+update.2.12.parentName = SAdmir: USN.NRetTacUsr <<-?- USSH
+update.2.12.childName = SAdmir: USN.assignedNRet <<-?- USSH
+update.2.12.childType = RoleTarget
+update.2.12.childProcessing = verifier
+update.2.12.evidence.1 = USN.NRetTacUsr<-USN.assignedNRet
+
+update.2.13.type = node
+update.2.13.nodeType = RoleTarget
+update.2.13.name = SAdmir: USN.assignedNRet <<-?- USSH
+update.2.13.processing = verifier
+update.2.13.satisfied = Unknown
+
+update.2.14.type = node
+update.2.14.nodeType = RoleTarget
+update.2.14.name = SAdmir: USN.NRetTacUsr <<-?- USSH
+update.2.14.processing = verifier
+update.2.14.satisfied = Unknown
+
+update.2.15.type = node
+update.2.15.name = SAdmir: USN.NRetTacUsr <<-?- USSH
+update.2.15.processing = opponent
+
+update.2.16.type = edge
+update.2.16.edgeType = Control
+update.2.16.parentName = SAdmir: USN.assignedNRet <<-?- USSH
+update.2.16.childName = USSH: US.friendly.usr <<-?- SAdmir
+update.2.16.childType = LinkedRoleTarget
+update.2.16.childProcessing = opponent
+
+update.2.17.type = node
+update.2.17.nodeType = LinkedRoleTarget
+update.2.17.name = USSH: US.friendly.usr <<-?- SAdmir
+update.2.17.processing = opponent
+update.2.17.satisfied = Unknown
+
+update.2.18.type = edge
+update.2.18.edgeType = Implication
+update.2.18.parentName = USSH: US.friendly.usr <<-?- SAdmir
+update.2.18.childName = USSH: SE.usr <<-?- SAdmir
+update.2.18.childType = RoleTarget
+update.2.18.childProcessing = verifier
+
+update.2.19.type = node
+update.2.19.nodeType = RoleTarget
+update.2.19.name = USSH: SE.usr <<-?- SAdmir
+update.2.19.processing = verifier
+update.2.19.satisfied = Unknown
+
+update.2.20.type = node
+update.2.20.nodeType = LinkedRoleTarget
+update.2.20.name = USSH: US.friendly.usr <<-?- SAdmir
+update.2.20.processing = opponent
+update.2.20.satisfied = Unknown
+
+update.2.21.type = node
+update.2.21.name = USSH: US.friendly.usr <<-?- SAdmir
+update.2.21.processing = verifier
+
+update.3.location = remote
+
+update.3.1.type = edge
+update.3.1.edgeType = Implication
+update.3.1.parentName = USSH: SE.usr <<-?- SAdmir
+update.3.1.childName = USSH: SAdmir <<-?- SAdmir
+update.3.1.childType = TrivialTarget
+update.3.1.childProcessing = fully
+update.3.1.evidence.1 = SE.usr<-SAdmir
+
+update.3.2.type = node
+update.3.2.nodeType = TrivialTarget
+update.3.2.name = USSH: SAdmir <<-?- SAdmir
+update.3.2.processing = fully
+update.3.2.satisfied = Satisfied
+
+update.3.3.type = node
+update.3.3.nodeType = RoleTarget
+update.3.3.name = USSH: SE.usr <<-?- SAdmir
+update.3.3.processing = verifier
+update.3.3.satisfied = Unknown
+
+update.3.4.type = node
+update.3.4.nodeType = RoleTarget
+update.3.4.name = USSH: SE.usr <<-?- SAdmir
+update.3.4.processing = verifier
+update.3.4.satisfied = Satisfied
+
+update.3.5.type = node
+update.3.5.nodeType = LinkedRoleTarget
+update.3.5.name = USSH: US.friendly.usr <<-?- SAdmir
+update.3.5.processing = fully
+update.3.5.satisfied = Satisfied
+
+update.3.6.type = node
+update.3.6.name = USSH: SE.usr <<-?- SAdmir
+update.3.6.processing = opponent
+
+update.4.location = local
+
+update.4.1.type = edge
+update.4.1.edgeType = Implication
+update.4.1.parentName = SAdmir: USN.assignedNRet <<-?- USSH
+update.4.1.childName = SAdmir: USSH <<-?- USSH
+update.4.1.childType = TrivialTarget
+update.4.1.childProcessing = null
+update.4.1.evidence.1 = USN.assignedNRet<-USSH
+
+update.4.2.type = node
+update.4.2.nodeType = RoleTarget
+update.4.2.name = SAdmir: USN.assignedNRet <<-?- USSH
+update.4.2.processing = verifier
+update.4.2.satisfied = Unknown
+
+update.4.3.type = node
+update.4.3.nodeType = RoleTarget
+update.4.3.name = SAdmir: USN.assignedNRet <<-?- USSH
+update.4.3.processing = verifier
+update.4.3.satisfied = Satisfied
+
+update.4.4.type = node
+update.4.4.nodeType = RoleTarget
+update.4.4.name = SAdmir: USN.NRetTacUsr <<-?- USSH
+update.4.4.processing = fully
+update.4.4.satisfied = Satisfied
+
+update.4.5.type = node
+update.4.5.nodeType = LinkingGoal
+update.4.5.name = SAdmir: ?X.NRetTacUsr <<-?- USSH
+update.4.5.processing = fully
+update.4.5.satisfied = Complete
+
+update.4.6.type = node
+update.4.6.name = SAdmir: USN.assignedNRet <<-?- USSH
+update.4.6.processing = opponent
+
+update.5.location = remote
+
+update.5.1.type = edge
+update.5.1.edgeType = LinkingImplication
+update.5.1.parentName = SAdmir: SAdmir.NRetTacCom.NRetTacUsr <<-?- USSH
+update.5.1.childName = SAdmir: SAdmir.NRetTacCom <<-?- USN
+update.5.1.childType = RoleTarget
+update.5.1.childProcessing = opponent
+
+update.5.2.type = node
+update.5.2.nodeType = RoleTarget
+update.5.2.name = SAdmir: SAdmir.NRetTacCom <<-?- USN
+update.5.2.processing = opponent
+update.5.2.satisfied = Unknown
+
+update.5.3.type = node
+update.5.3.nodeType = LinkedRoleTarget
+update.5.3.name = SAdmir: SAdmir.NRetTacCom.NRetTacUsr <<-?- USSH
+update.5.3.processing = opponent
+update.5.3.satisfied = Unknown
+
+update.5.4.type = node
+update.5.4.name = SAdmir: SAdmir.NRetTacCom.NRetTacUsr <<-?- USSH
+update.5.4.processing = verifier
+
+update.5.5.type = edge
+update.5.5.edgeType = Implication
+update.5.5.parentName = SAdmir: SAdmir.NRetTacCom <<-?- USN
+update.5.5.childName = SAdmir: USEUCOM.NRetUSTacCom <<-?- USN
+update.5.5.childType = RoleTarget
+update.5.5.childProcessing = verifier
+update.5.5.evidence.1 = SAdmir.NRetTacCom<-USEUCOM.NRetUSTacCom
+
+update.5.6.type = node
+update.5.6.nodeType = RoleTarget
+update.5.6.name = SAdmir: USEUCOM.NRetUSTacCom <<-?- USN
+update.5.6.processing = verifier
+update.5.6.satisfied = Unknown
+
+update.5.7.type = node
+update.5.7.nodeType = RoleTarget
+update.5.7.name = SAdmir: SAdmir.NRetTacCom <<-?- USN
+update.5.7.processing = opponent
+update.5.7.satisfied = Unknown
+
+update.5.8.type = node
+update.5.8.name = SAdmir: SAdmir.NRetTacCom <<-?- USN
+update.5.8.processing = verifier
+
+update.6.location = local
+
+update.6.1.type = edge
+update.6.1.edgeType = Implication
+update.6.1.parentName = SAdmir: USEUCOM.NRetUSTacCom <<-?- USN
+update.6.1.childName = SAdmir: RADMSmith <<-?- USN
+update.6.1.childType = TrivialTarget
+update.6.1.childProcessing = fully
+update.6.1.evidence.1 = USEUCOM.NRetUSTacCom<-RADMSmith
+
+update.6.2.type = node
+update.6.2.nodeType = TrivialTarget
+update.6.2.name = SAdmir: RADMSmith <<-?- USN
+update.6.2.processing = fully
+update.6.2.satisfied = Satisfied
+
+update.6.3.type = node
+update.6.3.nodeType = RoleTarget
+update.6.3.name = SAdmir: USEUCOM.NRetUSTacCom <<-?- USN
+update.6.3.processing = verifier
+update.6.3.satisfied = Unknown
+
+update.6.4.type = node
+update.6.4.nodeType = RoleTarget
+update.6.4.name = SAdmir: USEUCOM.NRetUSTacCom <<-?- USN
+update.6.4.processing = verifier
+update.6.4.satisfied = Satisfied
+
+update.6.5.type = node
+update.6.5.nodeType = RoleTarget
+update.6.5.name = SAdmir: SAdmir.NRetTacCom <<-?- USN
+update.6.5.processing = fully
+update.6.5.satisfied = Satisfied
+
+update.6.6.type = node
+update.6.6.nodeType = LinkedRoleTarget
+update.6.6.name = SAdmir: SAdmir.NRetTacCom.NRetTacUsr <<-?- USSH
+update.6.6.processing = fully
+update.6.6.satisfied = Satisfied
+
+update.6.7.type = node
+update.6.7.nodeType = RoleTarget
+update.6.7.name = SAdmir: SAdmir.needsSLocs <<-?- USSH
+update.6.7.processing = fully
+update.6.7.satisfied = Satisfied
+
+update.6.8.type = node
+update.6.8.nodeType = IntersectionTarget
+update.6.8.name = SAdmir: SAdmir.friendlyUsr ^ SAdmir.needsSLocs <<-?- USSH
+update.6.8.processing = opponent
+update.6.8.satisfied = Satisfied
+
+update.6.9.type = node
+update.6.9.nodeType = RoleTarget
+update.6.9.name = SAdmir: SAdmir.getsSLocs <<-?- USSH
+update.6.9.processing = fully
+update.6.9.satisfied = Satisfied
+
+update.6.10.type = node
+update.6.10.name = SAdmir: USEUCOM.NRetUSTacCom <<-?- USN
+update.6.10.processing = opponent
+
